Page MenuHomePhabricator

Rewrite NTP subsystem in new XML style interface definition
Closed, ResolvedPublicFEATURE REQUEST

Description

Rewrite the current interface files as XML interface and Python script to move towards new VyConfig

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
c-po created this task.May 6 2018, 6:57 PM
c-po claimed this task.
c-po triaged this task as Normal priority.
c-po updated the task description. (Show Details)
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po moved this task from Need Triage to In Progress on the VyOS 1.2.x board.

@dmbaturin @UnicronNL @syncer Is there any reason why NTP should be restarted when DNS changes? https://github.com/vyos/vyatta-cfg-system/blob/current/scripts/system/vyatta_update_resolv.pl#L232-L237

The generated /etc/ntp.conf file only holds IP addresses.

syncer added a comment.May 6 2018, 7:15 PM

in theory we need to use hostnames there along with ips

c-po added a comment.EditedMay 6 2018, 9:05 PM

Feedback welcome: https://github.com/c-po/vyos-1x/tree/t623-ntp-rewrite

@syncer https://linux.die.net/man/5/ntp.conf

look slike we can adjust this by using the hostname. If I remember correctly, most of the distros are using NTP with the pool and the corresponding hostnames.

I'm now running this config ...

### Autogenerated by vyos-config-ntp.py on Sun, 06 May 2018 23:14:12 ###
driftfile /var/lib/ntp/ntp.drift
# By default, only allow ntpd to query time sources, ignore any
# incoming requests.
restrict default ignore

# Local users have unrestricted access, allowing reconfiguration
# via ntpdc
restrict 127.0.0.1
restrict -6 ::1

# Server configuration 1.de.pool.ntp.org
server -4 1.de.pool.ntp.org iburst
restrict -4 1.de.pool.ntp.org nomodify notrap nopeer noquery

# Client configuration: 172.16.0.0/12
restrict 172.16.0.0 mask 255.240.0.0 nomodify notrap nopeer

# Client configuration: 2001:db9::/64
restrict 2001:db9:: mask ffff:ffff:ffff:ffff:: nomodify notrap nopeer

lets give it a try over some hours/days.

c-po added a comment.May 7 2018, 8:43 PM

Looks very good!

c-po moved this task from In Progress to Finished on the VyOS 1.2.x board.May 7 2018, 8:44 PM
dmbaturin closed this task as Resolved.Tue, Sep 25, 6:20 PM